Kerbal Space Program - Bug #18049

KV-3 Pomegranate pod - wrong control directions
03/15/2018 01:31 AM - jlew715

Status: Investigating Start date: 03/15/2018
Severity: Low % Done: 20%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.41 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

in the KV-3 "Pomegranate” (the three-seat Russian style pod), the controls don't appear to be mapped correctly. Relative to the
seating position of the Kerbals inside, pressing W will point the craft Right, when you'd expect it to point "forward"/"down", S points
the craft Left, D pitches forward, etc.

History

#1 - 03/16/2018 09:04 PM - Squelch

- Status changed from New to Investigating
- Severity changed from High to Low

- % Done changed from 0 to 20

Thank you for your report. We are looking into this.

#2 - 03/20/2018 05:29 AM - SamHall

Yeah, that's basically down to the fact that the Kerbals are seated in the pod sideways. They're rotated 90 degrees around the Z-axis from where
they're supposed to be. They're sitting with their butts on the starboard wall, not the floor.

Also | can confirm that the KV-2 pod has the same problem. The Munar Excursion Module suffers from a similar issue, although in its case the entire
pod is rotated a full 180 degrees around its axis so the controls all feel just straight-up reversed rather than randomly scrambled.

#3 - 03/20/2018 08:18 AM - jlew715

Didn’t realize about the KV-2, but it looks like you're right! Hopefully this is something fixable for you guys?

#4 - 12/23/2018 11:10 PM - Anonymous

With version 1.6.1, there is a right-click option 'control point'. Setting this to 'forward’ orients the controls and NavBall to the Kerbals' point of view.
